Bug 1399859 Force python2 when using virtualenv r=mtabara
authorSimon Fraser <sfraser@mozilla.com>
Thu, 14 Sep 2017 14:52:31 +0100
changeset 8079 8ce7df12293f4a71f802f2b9fd2c2bb5d86d04c3
parent 8078 412390d97eb5c923ad3f7966276ee3dd1af5a699
child 8081 bf8dad3f652c51cd789b0504de2b94d9af12a0d0
push id243
push usersfraser@mozilla.com
push dateThu, 14 Sep 2017 13:52:40 +0000
reviewersmtabara
bugs1399859
Bug 1399859 Force python2 when using virtualenv r=mtabara MozReview-Commit-ID: AluwOnTyJGg
buildfarm/maintenance/end_to_end_reconfig.sh
--- a/buildfarm/maintenance/end_to_end_reconfig.sh
+++ b/buildfarm/maintenance/end_to_end_reconfig.sh
@@ -255,17 +255,17 @@ if ! python --version 2>&1 | grep -q '^P
     echo "ERROR: Python version 2.7 not found - please make sure python 2.7 is in your PATH" >&2
     exit 66
 fi
 
 run_virtualenv() {
     if hash virtualenv2 2>/dev/null; then
         virtualenv2 "$@"
     else
-        virtualenv "$@"
+        virtualenv -p python2 "$@"
     fi
 }
 
 for package in fabric requests; do
     installed_package=false
     echo "  * Checking ${package} package is available in python environment..."
     if ! python -c "import ${package}" >/dev/null 2>&1; then
         echo "  * Package ${package} not found"